/**********************************/
/***** CRMPAM CSS FRAMEWORK *****/
/**********************************/

* {
	margin: 0;
	padding: 0;
	font-display: swap;
}
html,
body {
	width: 100%;
	height: 100%;
	min-height: 100%;
	height: -webkit-fill-available;
	min-height: -webkit-fill-available;
	max-height: -webkit-fill-available;
	background: var(--crmpam-bg-primary);
	font-size: var(--crmpam-text-medium);
	color: var(--crmpam-color-secondary);
	font-family: var(--crmpam-font);
}

/*BACKGROUND*/
.crmpam-bg-primary {
	background: var(--crmpam-color-primary);
}
.crmpam-bg-secondary {
	background: var(--crmpam-color-secondary);
}
.crmpam-bg-tertiary {
	background: var(--crmpam-color-tertiary);
}
.crmpam-bg-quaternary {
	background: var(--crmpam-color-quaternary);
}
.crmpam-bg-quinary {
	background: var(--crmpam-color-quinary);
}
.crmpam-bg-senary {
	background: var(--crmpam-color-senary);
}
.crmpam-bg-success {
	background: var(--crmpam-bg-color-success);
}
.crmpam-bg-error {
	background: var(--crmpam-bg-color-error);
}
.crmpam-bg-warning {
	background: var(--crmpam-bg-color-warning);
}
.crmpam-bg-apuestas-container{
	background-color: rgb(32 32 51) !important;
}
.crmpam-bg-footer{
	background: var(--crmpam-bg-color-footer);
}

/*DISPLAY*/
.crmpam-block {
	display: block;
}
.crmpam-hidden {
	display: none !important;
}
.crmpam-flex {
	display: flex;
}
.crmpam-row {
	flex-direction: row;
}
.crmpam-column {
	flex-direction: column;
}
.crmpam-justify-start {
	justify-content: flex-start;
}
.crmpam-justify-end {
	justify-content: flex-end;
}
.crmpam-justify-center {
	justify-content: center;
}
.crmpam-justify-between {
	justify-content: space-between;
}
.crmpam-justify-around {
	justify-content: space-around;
}
.crmpam-align-start {
	align-items: flex-start;
}
.crmpam-align-end {
	align-items: flex-end;
}
.crmpam-align-center {
	align-items: center;
}
.crmpam-wrap {
	flex-wrap: wrap;
}
.crmpam-nowrap {
	flex-wrap: nowrap;
}
.crmpam-grow-1 {
	flex-grow: 1;
}
.crmpam-grow-2 {
	flex-grow: 2;
}
.crmpam-gap-xsmall {
	gap: var(--crmpam-margin-xsmall);
}
.crmpam-gap-small {
	gap: var(--crmpam-margin-small);
}
.crmpam-gap-medium {
	gap: var(--crmpam-margin-medium);
}
.crmpam-gap-large {
	gap: var(--crmpam-margin-large);
}
.crmpam-gap-xlarge {
	gap: var(--crmpam-margin-xlarge);
}

/*POSITION*/
.crmpam-absolute {
	position: absolute;
}
.crmpam-relative {
	position: relative;
}
/*BORDER RADIUS*/
.crmpam-border-radius-small {
	border-radius: var(--crmpam-border-radius-small);
}
.crmpam-border-radius-big {
	border-radius: var(--crmpam-border-radius-large);
}

/*WIDTH*/
.crmpam-w100 {
	width: 100%;
}
.crmpam-w75 {
	width: 75%;
}
.crmpam-w50 {
	width: 50%;
}
.crmpam-w25 {
	width: 25%;
}

/*PADDING*/
.padding-page-content {
	max-width: var(--crmpam-page-width);
	margin-left: auto;
	margin-right: auto;
}
.crmpam-p-xsmall {
	padding: var(--crmpam-padding-xsmall);
}
.crmpam-pt-xsmall {
	padding-top: var(--crmpam-padding-xsmall);
}
.crmpam-pb-xsmall {
	padding-bottom: var(--crmpam-padding-xsmall);
}
.crmpam-pl-xsmall {
	padding-left: var(--crmpam-padding-xsmall);
}
.crmpam-pr-xsmall {
	padding-right: var(--crmpam-padding-xsmall);
}
.crmpam-p-small {
	padding: var(--crmpam-padding-small);
}
.crmpam-pt-small {
	padding-top: var(--crmpam-padding-small);
}
.crmpam-pb-small {
	padding-bottom: var(--crmpam-padding-small);
}
.crmpam-pl-small {
	padding-left: var(--crmpam-padding-small);
}
.crmpam-pr-small {
	padding-right: var(--crmpam-padding-small);
}
.crmpam-p-medium {
	padding: var(--crmpam-padding-medium);
	color: var(--crmpam-color-senary);
}
.crmpam-pt-medium {
	padding-top: var(--crmpam-padding-medium);
}
.crmpam-pb-medium {
	padding-bottom: var(--crmpam-padding-medium);
}
.crmpam-pl-medium {
	padding-left: var(--crmpam-padding-medium);
}
.crmpam-pr-medium {
	padding-right: var(--crmpam-padding-medium);
}
.crmpam-p-large {
	padding: var(--crmpam-padding-large);
}
.crmpam-pt-large {
	padding-top: var(--crmpam-padding-large);
}
.crmpam-pb-large {
	padding-bottom: var(--crmpam-padding-large);
}
.crmpam-pl-large {
	padding-left: var(--crmpam-padding-large);
}
.crmpam-pr-large {
	padding-right: var(--crmpam-padding-large);
}
.crmpam-p-xlarge {
	padding: var(--crmpam-padding-xlarge);
}
.crmpam-pt-xlarge {
	padding-top: var(--crmpam-padding-xlarge);
}
.crmpam-pb-xlarge {
	padding-bottom: var(--crmpam-padding-xlarge);
}
.crmpam-pl-xlarge {
	padding-left: var(--crmpam-padding-xlarge);
}
.crmpam-pr-xlarge {
	padding-right: var(--crmpam-padding-xlarge);
}

/*MARGIN*/
.crmpam-m-xsmall {
	margin: var(--crmpam-margin-xsmall) !important;
}
.crmpam-mt-xsmall {
	margin-top: var(--crmpam-margin-xsmall) !important;
}
.crmpam-mb-xsmall {
	margin-bottom: var(--crmpam-margin-xsmall) !important;
}
.crmpam-ml-xsmall {
	margin-left: var(--crmpam-margin-xsmall) !important;
}
.crmpam-mr-xsmall {
	margin-right: var(--crmpam-margin-xsmall) !important;
}
.crmpam-m-small {
	margin: var(--crmpam-margin-small) !important;
}
.crmpam-mt-small {
	margin-top: var(--crmpam-margin-small) !important;
}
.crmpam-mb-small {
	margin-bottom: var(--crmpam-margin-small) !important;
}
.crmpam-ml-small {
	margin-left: var(--crmpam-margin-small) !important;
}
.crmpam-mr-small {
	margin-right: var(--crmpam-margin-small) !important;
}
.crmpam-m-medium {
	margin: var(--crmpam-margin-medium) !important;
}
.crmpam-mt-medium {
	margin-top: var(--crmpam-margin-medium) !important;
}
.crmpam-mb-medium {
	margin-bottom: var(--crmpam-margin-medium) !important;
}
.crmpam-ml-medium {
	margin-left: var(--crmpam-margin-medium) !important;
}
.crmpam-mr-medium {
	margin-right: var(--crmpam-margin-medium) !important;
}
.crmpam-m-large {
	margin: var(--crmpam-margin-large) !important;
}
.crmpam-mt-large {
	margin-top: var(--crmpam-margin-large) !important;
}
.crmpam-mb-large {
	margin-bottom: var(--crmpam-margin-large) !important;
}
.crmpam-ml-large {
	margin-left: var(--crmpam-margin-large) !important;
}
.crmpam-mr-large {
	margin-right: var(--crmpam-margin-large) !important;
}
.crmpam-m-xlarge {
	margin: var(--crmpam-margin-xlarge) !important;
}
.crmpam-mt-xlarge {
	margin-top: var(--crmpam-margin-xlarge) !important;
}
.crmpam-mb-xlarge {
	margin-bottom: var(--crmpam-margin-xlarge) !important;
}
.crmpam-ml-xlarge {
	margin-left: var(--crmpam-margin-xlarge) !important;
}
.crmpam-mr-xlarge {
	margin-right: var(--crmpam-margin-xlarge) !important;
}

/*TEXT COLOR*/
.crmpam-color-primary {
	color: var(--crmpam-color-primary);
}
.crmpam-color-secondary {
	color: var(--crmpam-color-secondary);
}
.crmpam-color-tertiary {
	color: var(--crmpam-color-primary);
}
.crmpam-color-quaternary {
	color: var(--crmpam-color-quaternary);
}
.crmpam-color-septenary {
	color: var(--crmpam-color-septenary);
}
.crmpam-color-quinary {
	color: var(--crmpam-color-quinary);
}
.crmpam-bg-senary {
	color: var(--crmpam-color-senary);
}
.crmpam-color-info {
	color: var(--crmpam-bg-color-info);
}
.crmpam-color-success {
	color: var(--crmpam-bg-color-success);
}
.crmpam-color-warning {
	color: var(--crmpam-bg-color-warning);
}
.crmpam-color-error {
	color: var(--crmpam-bg-color-error);
}
.crmpam-color-footer{
	color: var(--crmpam-color-footer) !important;
}


/*TEXT DECORATION*/
.crmpam-text-decoration-none {
	text-decoration: none;
}
.crmpam-text-decoration-underline {
	text-decoration: underline;
}

/*TEXT TRANSFORM*/
.crmpam-text-lowercase {
	text-transform: lowercase;
}
.crmpam-text-uppercase {
	text-transform: uppercase;
}
.crmpam-text-capitalize {
	text-transform: capitalize;
}

/*TEXT WRAP*/
.crmpam-text-nowrap {
	text-wrap: nowrap;
	white-space: nowrap;
}

/*TEXT SIZE*/
.crmpam-text-xsmall {
	font-size: var(--crmpam-text-xsmall) !important;
}
.crmpam-text-small {
	font-size: var(--crmpam-text-small) !important;
}
.crmpam-text-medium {
	font-size: var(--crmpam-text-medium) !important;
}
.crmpam-text-xmedium {
	font-size: var(--crmpam-text-xmedium) !important;
}
.crmpam-text-large {
	font-size: var(--crmpam-text-large) !important;
}
.crmpam-text-xlarge {
	font-size: var(--crmpam-text-xlarge) !important;
}

/*TEXT ALIGN*/
.crmpam-text-center {
	text-align: center;
}
.crmpam-text-left {
	text-align: left;
}
.crmpam-text-right {
	text-align: right;
}

/*TEXT WEIGHT*/
.crmpam-text-bold {
	font-weight: bold;
}
.crmpam-text-500 {
    font-weight: 500 !important;
}

/*TEXT OVERFLOW*/
.crmpam-text-ellipsis {
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
  line-clamp: 1;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
}
.crmpam-text-ellipsis-2 {
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	line-clamp: 2;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
}
.crmpam-text-ellipsis-3 {
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
  line-clamp: 3;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
}
.crmpam-text-ellipsis-4 {
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
  line-clamp: 4;
	-webkit-line-clamp: 4;
	-webkit-box-orient: vertical;
}

/*BUTTONS*/
.crmpam-btn-primary,
.crmpam-btn-secondary,
.crmpam-btn-tertiary {
	height: 40px;
	min-width: 100px;
	text-transform: uppercase;
	font-size: var(--crmpam-text-xsmall);
	border-radius: var(--crmpam-border-radius-small);
	border: 1px solid rgb(255 255 255 / 30%);
	transition: 0.3s;
	-webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.3);
	-moz-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.3);
	box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.3);
	line-height: 16px;
}
.crmpam-btn-primary {
	background: var(--crmpam-color-quaternary) !important;
	color: var(--crmpam-btn-color-primary);
	border: 2px solid var(--crmpam-btn-color-primary);
	font-weight: 900;
}
.crmpam-btn-secondary {
	background: var(--crmpam-btn-color-primary) !important;
	color: var(--crmpam-color-quaternary);
	font-weight: 800;
}
.crmpam-btn-tertiary {
	background: rgba(255, 255, 255, 0.3) !important;
	color: var(--crmpam-btn-color-secondary);
}
.crmpam-btn-primary:hover,
.crmpam-btn-secondary:hover {
	filter: brightness(1.1);
	opacity: 0.8;
}
.crmpam-btn-icon {
	min-width: 40px;
	padding: 0;
}

/*TOGGLE BUTTON*/
.crmpam-toggle-button {
	border-radius: var(--crmpam-border-radius-small) !important;
	border: 1px solid #c4c4c4 !important;
}
.crmpam-toggle-button-input {
	padding: 0;
}
.crmpam-toggle-button.crmpam-btn-tertiary.Mui-selected,
.crmpam-toggle-button.crmpam-btn-tertiary.Mui-focusVisible {
	color: var(--crmpam-color-secondary) !important;
	background-color: var(--crmpam-btn-color-primary) !important;
}
.crmpam-toggle-button.crmpam-btn-tertiary .crmpam-input input {
	height: 0px;
}
.crmpam-toggle-button.crmpam-btn-tertiary.Mui-selected *,
.crmpam-toggle-button.crmpam-btn-tertiary.Mui-focusVisible * {
	color: var(--crmpam-color-secondary) !important;
}
.crmpam-toggle-button.crmpam-btn-tertiary .crmpam-input * {
	border: none !important;
}
.crmpam-toggle-button:hover {
	background: #f1f1f1 !important;
}

/*SWITCH BUTTON*/
.crmpam-white-switch * {
	color: #fff !important;
}
.crmpam-white-switch .MuiSwitch-track {
	background: #000 !important;
}

/*INPUTS*/
.crmpam-input > div,
.crmpam-select fieldset {
	border-radius: var(--crmpam-border-radius-small);
}
.crmpam-input label.Mui-focused,
.crmpam-select-label label.Mui-focused {
	color: var(--crmpam-btn-color-primary);
}
.crmpam-input div.Mui-focused fieldset,
.crmpam-select.Mui-focused fieldset {
	border-color: var(--crmpam-btn-color-primary) !important;
}
.crmpam-input label {
	position: absolute;
	-webkit-transform: translate(14px, -9px) scale(0.75);
	-moz-transform: translate(14px, -9px) scale(0.75);
	-ms-transform: translate(14px, -9px) scale(0.75);
	transform: translate(14px, -9px) scale(0.75);
}
.crmpam-input legend {
	max-width: 100%;
}
.crmpam-checkbox svg {
	color: var(--crmpam-color-primary);
}
.crmpam-radioButton {
	padding-top: 0;
	padding-bottom: 0;
	color: var(--crmpam-btn-color-secondary) !important;
}

/*LINKS*/
.crmpam-link {
	font-weight: bold;
	transition: 0.3s;
	color: var(--crmpam-color-senary);
}
.crmpam-big-link {
	font-size: 1.1rem;
}
.crmpam-link:hover {
	transition: 0.3s;
	opacity: 0.7;
	cursor: pointer;
	color: var(--crmpam-color-primary);
}
.crmpam-link-footer:hover {
	color: var(--crmpam-color-senary) !important;
	opacity: 0.9;
}
.crmpam-cursor-pointer {
	cursor: pointer;
}
.crmpam-cursor-normal {
	cursor: initial !important;
}
.crmpam-disabled {
	opacity: 0.3;
	filter: grayscale(0.4);
	pointer-events: none;
}
.crmpam-register-disabled {
	opacity: 0.3 !important;
	filter: grayscale(0.4) !important;
	cursor: not-allowed;
	
}

/*FLOAT MENU*/
.crmpam-float-menu .MuiPopover-paper {
	border-radius: var(--crmpam-border-radius-small);
	width: 360px;
	max-width: calc(100% - 32px);
	overflow: hidden;
	background: #ffffff;
}

/*DIALOG*/
.crmpam-dialog .MuiDialog-paper {
	border-radius: var(--crmpam-border-radius-small);
	margin: 10px;
	background: #ffffff;
}
.crmpam-popup-image {
	max-width: 100%;
	height: auto !important;
}

/*DIVIDER*/
.crmpam-divider {
	margin-top: var(--crmpam-margin-small) !important;
	margin-bottom: var(--crmpam-margin-small) !important;
}

/*LIST*/
.crmpam-list-item {
	border-bottom: 1px solid rgba(0, 0, 0, 0.12);
	padding-top: 0;
	padding-bottom: 0;
}
.crmpam-list-item:last-child {
	border-bottom: none;
}

/*ALERT*/
.crmpam-form-alert {
	border-radius: 10px;
	padding: 0 8px;
}

/*BADGE*/
.crmpam-badge > span {
	background: var(--crmpam-btn-color-primary);
}

/*CHIP*/
.crmpam-chip {
	font-size: var(--crmpam-text-medium);
}
.crmpam-chip .crmpam-text-xsmall {
	font-size: var(--crmpam-text-xsmall) !important;
}

/*TABS*/
.crmpam-tabs button {
	text-transform: none;
}
.crmpam-tabs .Mui-selected {
	color: #003721;
	background: rgb(0 0 0 / 5%);
	border: 1px solid rgb(0 0 0 / 5%);
	border-radius: 4px 4px 0 0;
}
.MuiTabs-indicator {
	background: var(--crmpam-btn-color-primary);
}

/*TABLE*/
.crmpam-table thead th {
	background: var(--crmpam-btn-color-secondary) !important;
	color: var(--crmpam-color-tertiary);
}
.crmpam-table tbody tr {
	background-color: #ffffff;
}
.crmpam-table.striped-table tbody tr:nth-child(even) {
	background-color: #f2f2f2;
}

/*CARD*/
.crmpam-card {
	background: rgb(0 0 0 / 5%);
	border: 1px solid rgb(0 0 0 / 5%);
}
.crmpam-card .crmpam-card-overlay {
	position: absolute;
	width: 100%;
	height: 100%;
	opacity: 0.03;
	display: flex;
	align-items: center;
	justify-content: flex-start;
	z-index: 0;
}
.crmpam-card .crmpam-card-overlay svg {
	width: 500px;
	height: 500px;
	transform: rotate(333deg);
	color: #000;
}

/*LOADER*/
.crmpam-loader {
	position: absolute;
	z-index: 1;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	background: rgb(255 255 255 / 60%);
}
